at.chipkarte.client.vdas.soap

## Class VersichertendatenAbfrage

- Object
- - at.chipkarte.client.vdas.soap.VersichertendatenAbfrage

- Direct Known Subclasses:
    VersichertendatenAbfragePerStichtag

      public class VersichertendatenAbfrage
      extends Object

  Enthält die Suchkriterien für eine Abfrage der tages-/stichtagsaktuellen Versichertendaten für einen Patienten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersichertendatenAbfrage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbteilungsFunktionsCode()` Abteilungs-Funktionscode laut KA-ORG beziehungsweise VPNR bei Gesundheitsdienstanbietern.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten, für den die Versichertendatenabfrage durchgeführt werden soll.
    `String` | `getSvNummerAbgeleitet()` Sozialversicherungsnummer des Versicherten, von dem der Anspruch abgeleitet ist.
    `String` | `getSvtCode()` Code des KVT, bei dem der Anspruch besteht (eigener oder abgeleiteter Anspruch).
    `Boolean` | `isForceExecution()` Kennzeichen, ob die Funktion auch bei wiederholter Verwendung der e-card durchgeführt werden soll.
    `void` | `setAbteilungsFunktionsCode(String abteilungsFunktionsCode)`
    `void` | `setForceExecution(Boolean forceExecution)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setSvNummerAbgeleitet(String svNummerAbgeleitet)`
    `void` | `setSvtCode(String svtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersichertendatenAbfrage

          public VersichertendatenAbfrage()

  - ### Method Detail

    - #### getAbteilungsFunktionsCode

          public String getAbteilungsFunktionsCode()

      Abteilungs-Funktionscode laut KA-ORG beziehungsweise VPNR bei Gesundheitsdienstanbietern.
      Format: maximal 8-stellig
      Returns:
        Abteilungs-/Funktionscode

    - #### isForceExecution

          public Boolean isForceExecution()

      Kennzeichen, ob die Funktion auch bei wiederholter Verwendung der e-card durchgeführt werden soll.
      Returns:
        true = Exception CardException.REPEATED_SIGNATUR wird nicht geliefert, false = Exception CardException.REPEATED_SIGNATUR wird geliefert und die Durchführung der Funktion abgebrochen

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten, für den die Versichertendatenabfrage durchgeführt werden soll.
      Wird ein mit e-card erstelltes Token angegeben, ist die Angabe einer SV-Nummer optional. Wird ein mit o-card erstelltes Token angegeben oder das SW-Zertifikat zur Erstellung verwendet, ist die Angabe einer SV-Nummer verpflichtend. Wird die SV-Nummer und ein CardToken angegeben, muss das auch das CardToken zu dieser SV-Nummer erstellt worden sein.
      Format: 10-stellig
      Returns:
        SV-Nummer

    - #### getSvNummerAbgeleitet

          public String getSvNummerAbgeleitet()

      Sozialversicherungsnummer des Versicherten, von dem der Anspruch abgeleitet ist. Wenn ein eindeutiger Anspruch gefunden wird, wird diese Angabe ignoriert.
      Format: 10-stellig
      Returns:
        abgeleitete SV-Nummer

    - #### getSvtCode

          public String getSvtCode()

      Code des KVT, bei dem der Anspruch besteht (eigener oder abgeleiteter Anspruch).
      Mögliche Werte siehe Funktion `getSVTs`
      Format: 2-stellig
      Returns:
        KVT-Code

    - #### setAbteilungsFunktionsCode

          public void setAbteilungsFunktionsCode(String abteilungsFunktionsCode)

    - #### setForceExecution

          public void setForceExecution(Boolean forceExecution)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setSvNummerAbgeleitet

          public void setSvNummerAbgeleitet(String svNummerAbgeleitet)

    - #### setSvtCode

          public void setSvtCode(String svtCode)